### Virtual Method

# Gio SettingsBackend write_tree

#### Declaration

    gboolean
    write_tree (
      GSettingsBackend* backend,
      GTree* tree,
      gpointer origin_tag
    )

#### Description

Virtual method to change a tree of keys.

#### Parameters

`tree`

  Type: `GTree`

  No description available.

  The data is owned by the caller of the function.

`origin_tag`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

No description available.